Intel® Distribution of OpenVINO™ Toolkit
Community support and discussions about the Intel® Distribution of OpenVINO™ toolkit, OpenCV, and all things computer vision-related on Intel® platforms.

Using OpenVino with company network proxy

Shashank288
Beginner
382 Views

Hello team,

 

I recently installed OpenVino 2021.4.752 using the installation guidelines present in the link.

 

I have made sure that the necessary PATH variables and other software dependencies required for the installation to work are present in my system.

 

However, whenever I try running the demo installation verification script present in the "Getting started guide", I encounter the following network related proxy error on the command prompt :-

 

C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\demo>.\demo_squeezenet_download_convert_run.bat
target_precision = FP16
Python 3.9.9
[setupvars.bat] OpenVINO environment initialized
INTEL_OPENVINO_DIR is set to C:\Program Files (x86)\Intel\openvino_2021
Python 3.9.9
ECHO is off.
Looking in indexes: https://anu9rng:****@rb-artifactory.bosch.com/artifactory/api/pypi/python-virtual/simple
Requirement already satisfied: pyyaml>=5.4.1 in c:\users\esa3kor\appdata\roaming\python\python39\site-packages (from -r C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\demo\..\open_model_zoo\tools\downloader\requirements.in (line 1)) (6.0)
Requirement already satisfied: requests>=2.25.1 in c:\users\esa3kor\appdata\roaming\python\python39\site-packages (from -r C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\demo\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (2.26.0)
Requirement already satisfied: idna<4,>=2.5 in c:\users\esa3kor\appdata\roaming\python\python39\site-packages (from requests>=2.25.1->-r C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\demo\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (3.3)
Requirement already satisfied: charset-normalizer~=2.0.0 in c:\users\esa3kor\appdata\roaming\python\python39\site-packages (from requests>=2.25.1->-r C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\demo\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (2.0.8)
Requirement already satisfied: certifi>=2017.4.17 in c:\users\esa3kor\appdata\roaming\python\python39\site-packages (from requests>=2.25.1->-r C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\demo\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (2021.10.8)
Requirement already satisfied: urllib3<1.27,>=1.21.1 in c:\users\esa3kor\appdata\roaming\python\python39\site-packages (from requests>=2.25.1->-r C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\demo\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (1.26.7)
WARNING: You are using pip version 21.2.4; however, version 21.3.1 is available.
You should consider upgrading via the 'C:\Users\ESA3KOR\AppData\Local\Programs\Python\Python39\python.exe -m pip install --upgrade pip' command.
Download public squeezenet1.1 model
python "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\open_model_zoo\tools\downloader\downloader.py" --name "squeezenet1.1" --output_dir "C:\Users\ESA3KOR\Documents\Intel\OpenVINO\openvino_models\models" --cache_dir "C:\Users\ESA3KOR\Documents\Intel\OpenVINO\openvino_models\cache"
[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x0000021BCB12B4C0>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
################|| Downloading squeezenet1.1 ||################

[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x0000021BCB2257F0>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x0000021BCB225C70>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
========== Downloading C:\Users\ESA3KOR\Documents\Intel\OpenVINO\openvino_models\models\public\squeezenet1.1\squeezenet1.1.prototxt
Traceback (most recent call last):
  File "C:\Users\ESA3KOR\AppData\Roaming\Python\Python39\site-packages\urllib3\connection.py", line 174, in _new_conn
    conn = connection.create_connection(
  File "C:\Users\ESA3KOR\AppData\Roaming\Python\Python39\site-packages\urllib3\util\connection.py", line 73, in create_connection
    for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
  File "C:\Users\ESA3KOR\AppData\Local\Programs\Python\Python39\lib\socket.py", line 954, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\ESA3KOR\AppData\Roaming\Python\Python39\site-packages\urllib3\connectionpool.py", line 699, in urlopen
    httplib_response = self._make_request(
  File "C:\Users\ESA3KOR\AppData\Roaming\Python\Python39\site-packages\urllib3\connectionpool.py", line 382, in _make_request
    self._validate_conn(conn)
  File "C:\Users\ESA3KOR\AppData\Roaming\Python\Python39\site-packages\urllib3\connectionpool.py", line 1010, in _validate_conn
    conn.connect()
  File "C:\Users\ESA3KOR\AppData\Roaming\Python\Python39\site-packages\urllib3\connection.py", line 358, in connect
    conn = self._new_conn()
  File "C:\Users\ESA3KOR\AppData\Roaming\Python\Python39\site-packages\urllib3\connection.py", line 186, in _new_conn
    raise NewConnectionError(
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPSConnection object at 0x0000021BCB21B130>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\ESA3KOR\AppData\Roaming\Python\Python39\site-packages\requests\adapters.py", line 439, in send
    resp = conn.urlopen(
  File "C:\Users\ESA3KOR\AppData\Roaming\Python\Python39\site-packages\urllib3\connectionpool.py", line 755, in urlopen
    retries = retries.increment(
  File "C:\Users\ESA3KOR\AppData\Roaming\Python\Python39\site-packages\urllib3\util\retry.py", line 574, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='raw.githubusercontent.com', port=443): Max retries exceeded with url: /forresti/SqueezeNet/a47b6f13d30985279789d08053d37013d67d131b/SqueezeNet_v1.1/deploy.prototxt (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x0000021BCB21B130>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\open_model_zoo\tools\downloader\src\open_model_zoo\model_tools\downloader.py", line 83, in try_download
    chunk_iterable, continue_offset = start_download(offset=progress.size)
  File "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\open_model_zoo\tools\downloader\src\open_model_zoo\model_tools\_configuration.py", line 131, in start_download
    response = session.get(self.url, stream=True, timeout=DOWNLOAD_TIMEOUT,
  File "C:\Users\ESA3KOR\AppData\Roaming\Python\Python39\site-packages\requests\sessions.py", line 555, in get
    return self.request('GET', url, **kwargs)
  File "C:\Users\ESA3KOR\AppData\Roaming\Python\Python39\site-packages\requests\sessions.py", line 542, in request
    resp = self.send(prep, **send_kwargs)
  File "C:\Users\ESA3KOR\AppData\Roaming\Python\Python39\site-packages\requests\sessions.py", line 655, in send
    r = adapter.send(request, **kwargs)
  File "C:\Users\ESA3KOR\AppData\Roaming\Python\Python39\site-packages\requests\adapters.py", line 516, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='raw.githubusercontent.com', port=443): Max retries exceeded with url: /forresti/SqueezeNet/a47b6f13d30985279789d08053d37013d67d131b/SqueezeNet_v1.1/deploy.prototxt (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x0000021BCB21B130>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
########## Error: Download failed

FAILED:
squeezenet1.1
[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x0000021BCB217D30>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x0000021BCB21BB80>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x0000021BCB21B550>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
squeezenet1.1 model downloading completed

Waiting for 5 seconds, press a key to continue ...

###############|| Install Model Optimizer prerequisites ||###############


Waiting for 1 seconds, press a key to continue ...
Python 3.9.9
ECHO is off.
Looking in indexes: https://anu9rng:****@rb-artifactory.bosch.com/artifactory/api/pypi/python-virtual/simple
Requirement already satisfied: networkx~=2.5 in c:\users\esa3kor\appdata\roaming\python\python39\site-packages (from -r ..\requirements_caffe.txt (line 1)) (2.6.3)
Requirement already satisfied: numpy<1.20,>=1.16.6 in c:\users\esa3kor\appdata\local\programs\python\python39\lib\site-packages (from -r ..\requirements_caffe.txt (line 2)) (1.19.5)
Requirement already satisfied: protobuf>=3.15.6 in c:\users\esa3kor\appdata\roaming\python\python39\site-packages (from -r ..\requirements_caffe.txt (line 3)) (3.19.1)
Requirement already satisfied: defusedxml>=0.7.1 in c:\users\esa3kor\appdata\roaming\python\python39\site-packages (from -r ..\requirements_caffe.txt (line 4)) (0.7.1)
Requirement already satisfied: requests>=2.25.1 in c:\users\esa3kor\appdata\roaming\python\python39\site-packages (from -r ..\requirements_caffe.txt (line 5)) (2.26.0)
Requirement already satisfied: idna<4,>=2.5 in c:\users\esa3kor\appdata\roaming\python\python39\site-packages (from requests>=2.25.1->-r ..\requirements_caffe.txt (line 5)) (3.3)
Requirement already satisfied: charset-normalizer~=2.0.0 in c:\users\esa3kor\appdata\roaming\python\python39\site-packages (from requests>=2.25.1->-r ..\requirements_caffe.txt (line 5)) (2.0.8)
Requirement already satisfied: certifi>=2017.4.17 in c:\users\esa3kor\appdata\roaming\python\python39\site-packages (from requests>=2.25.1->-r ..\requirements_caffe.txt (line 5)) (2021.10.8)
Requirement already satisfied: urllib3<1.27,>=1.21.1 in c:\users\esa3kor\appdata\roaming\python\python39\site-packages (from requests>=2.25.1->-r ..\requirements_caffe.txt (line 5)) (1.26.7)
WARNING: You are using pip version 21.2.4; however, version 21.3.1 is available.
You should consider upgrading via the 'C:\Users\ESA3KOR\AppData\Local\Programs\Python\Python39\python.exe -m pip install --upgrade pip' command.
        - Inference Engine found in:    C:\Program Files (x86)\Intel\openvino_2021\python\python3.9\openvino
Inference Engine version:       2021.4.2-3974-e2a469a3450-releases/2021/4
Model Optimizer version:        2021.4.2-3974-e2a469a3450-releases/2021/4
[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x00000280FFF80E20>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
*****************************************************************************************
Optional: To speed up model conversion process, install protobuf-*.egg located in the
"model-optimizer\install_prerequisites" folder or building protobuf library from sources.
For more information please refer to Model Optimizer FAQ, question #80.

Waiting for 6 seconds, press a key to continue ...

###############|| Run Model Optimizer ||###############


Waiting for 2 seconds, press a key to continue ...
python "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\open_model_zoo\tools\downloader\converter.py" --mo "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\model_optimizer\mo.py" --name "squeezenet1.1" -d "C:\Users\ESA3KOR\Documents\Intel\OpenVINO\openvino_models\models" -o "C:\Users\ESA3KOR\Documents\Intel\OpenVINO\openvino_models\ir" --precisions "FP16"
[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x00000150B77EE6A0>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
========== Converting squeezenet1.1 to IR (FP16)
Conversion command: C:\Users\ESA3KOR\AppData\Local\Programs\Python\Python39\python.exe -- "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\model_optimizer\mo.py" --framework=caffe --data_type=FP16 --output_dir=C:\Users\ESA3KOR\Documents\Intel\OpenVINO\openvino_models\ir\public\squeezenet1.1\FP16 --model_name=squeezenet1.1 --input_shape=[1,3,227,227] --input=data --mean_values=data[104.0,117.0,123.0] --output=prob --input_model=C:\Users\ESA3KOR\Documents\Intel\OpenVINO\openvino_models\models\public\squeezenet1.1/squeezenet1.1.caffemodel --input_proto=C:\Users\ESA3KOR\Documents\Intel\OpenVINO\openvino_models\models\public\squeezenet1.1/squeezenet1.1.prototxt

[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x00000150B78BF820>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x00000150B78BFD60>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
[ ERROR ]  The value for command line parameter "input_proto" must be existing file/directory,  but "C:\Users\ESA3KOR\Documents\Intel\OpenVINO\openvino_models\models\public\squeezenet1.1/squeezenet1.1.prototxt" does not exist.
[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x0000022A7EC73C10>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x0000022A7EC73370>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x0000022A7EC73F10>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x0000022A7EC9C100>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
FAILED:
squeezenet1.1
[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x00000150B78B2640>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x00000150B78B2AC0>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x00000150B78BFD90>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
[ WARNING ] Failed to send event with the following error: HTTPSConnectionPool(host='www.google-analytics.com', port=443): Max retries exceeded with url: /collect (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x00000150B78BF040>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))
Error

 

Since I am using the company VPN, so, I have made sure to update my proxy settings using the following commands on the command prompt before running the OpenVino Demo script :-

set HTTP_PROXY = http://username:password@rb-proxy-in.bosch.com:8080

set HTTPS_PROXY = https://username:password@rb-proxy-in.bosch.com:8080

However, the error still persists. The script for some reason is not able to download the caffe model file and the ".prototxt" file required in order for the Model Optimizer to work.

 

The only workarounds I have tried so far(unsuccessfully though) are :-

 

Downloading the caffe model file and the necessary ".prototxt" file required in order to build the intermediate representation and placing it in the necessary path mentioned in the error statement. However, this yielded the same error as above.

 

I request you all to kindly look into my situation and help me out in troubleshooting it. Any help would be much appreciated.

 

NOTE :- My system requirements also satisfy the minimum requirements required for OpenVino to work.

 

0 Kudos
2 Replies
Hairul_Intel
Moderator
339 Views

Hi Shashank288,

 

Thank you for reaching out to us.


Corporate networks have firewalls and other security settings that will prevent the Model Downloader from downloading the necessary models for the demo.

 

We would suggest you disconnect VPN connection and use a commercially available non-proxied connection.

 

On another note, regarding your workaround, please ensure that the .caffemodel and .prototxt files are placed in the following directory "C:\Users\ESA3KOR\Documents\Intel\OpenVINO\openvino_models\models\public\squeezenet1.1". Then, comment out the line for downloader.py (line 103) in the demo_squeezenet_download_convert_run.bat script to skip downloading the model.

 


Regards,

Hairul


Hairul_Intel
Moderator
285 Views

Hi Shashank288,

This thread will no longer be monitored since we have provided a solution. If you need any additional information from Intel, please submit a new question.

 

 

Regards,

Hairul


Reply